# TSSetSystemMatrixBC

Sets the function which applies boundary conditions to the system matrix and preconditioner of each system.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSystemMatrixBC(TS ts, PetscErrorCode (*func)(TS, Mat, Mat, void *))

Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

func (TS ts, Mat A, Mat B, void *ctx); - + A - The current system matrix
B -The current preconditioner
ctx -The user-context

### Keywords

TS, System matrix, boundary conditions

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages